<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Models\CaseModel; // Replace with your actual model
use App\Notifications\CaseReminderNotification;
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Notification;

class SendCaseReminderEmails extends Command
{
    /**
     * The name and signature of the console command.
     */
    protected $signature = 'send:case-reminders';

    /**
     * The console command description.
     */
    protected $description = 'Send reminder emails 3 days before update_case date';

    /**
     * Execute the console command.
     */
    public function handle()
    {
        $cases = CaseModel::whereDate('updated_case_date', '=', now()->addDays(3)->toDateString())->get();

        foreach ($cases as $case) {
            Mail::to("fatoh.abualrub@gmail.com")->send(new \App\Mail\CaseReminderMail($case));
        }

        $this->info('Reminder emails have been sent.');
    }
}
