<?php

namespace App\Http\Controllers;

use App\Models\CaseModel;
use App\Models\Orphan;
use App\Models\OwnCraft;
use App\Models\OwnTawjihi;
use App\Models\OwnUniversity;
use Illuminate\Http\Request;

class UploadController extends Controller
{
    public function uploadUniversity($id)
    {
        $type = "university";
        $data = OwnUniversity::findOrFail($id);
        $media = $data->getMedia('university_attachments');
        if($data){
            return view('admin.upload.index', compact('media', 'type', 'id'));
        }
    }
    public function uploadTawjihi($id)
    {
        $type = "tawjihi";
        $data = OwnTawjihi::findOrFail($id);
        $media = $data->getMedia('tawjihi_attachments');
        if($data){
            return view('admin.upload.index', compact('media', 'type', 'id'));
        }
    }
    public function uploadCraft($id)
    {
        $type = "craft";
        $data = OwnCraft::findOrFail($id);
        $media = $data->getMedia('crafts_attachments');
        if($data){
            return view('admin.upload.index', compact('media', 'type', 'id'));
        }
    }

    public function uploadCases($id)
    {
        $type = "cases";
        $data = CaseModel::findOrFail($id);
        $media = $data->getMedia('cases_attachments');
        if($data){
            return view('admin.upload.index', compact('media', 'type', 'id'));
        }
    }

    public function uploadorphans($id)
    {
        $type = "orphans";
        $data = Orphan::findOrFail($id);
        $media = $data->getMedia('orphans_attachments');
        if($data){
            return view('admin.upload.index', compact('media', 'type', 'id'));
        }
    }

    public function store(Request $request)
    {
        $type = $request->type;
        $id = $request->id;
        switch ($type){
            case "university":
                $data = OwnUniversity::findOrFail($id);
                $data->addMedia($request->file('attach'))->toMediaCollection('university_attachments');
            break;
            case "tawjihi":
                $data = OwnTawjihi::findOrFail($id);
                $data->addMedia($request->file('attach'))->toMediaCollection('tawjihi_attachments');
            break;
            case "craft":
                $data = OwnCraft::findOrFail($id);
                $data->addMedia($request->file('attach'))->toMediaCollection('crafts_attachments');
            break;
            case "cases":
                $data = CaseModel::findOrFail($id);
                $data->addMedia($request->file('attach'))->toMediaCollection('cases_attachments');
                break;
            case "orphans":
                $data = Orphan::findOrFail($id);
                $data->addMedia($request->file('attach'))->toMediaCollection('orphans_attachments');
                break;
        }
        return redirect()->back()->with('success', "تم الإضافة بنجاح");
    }
}
