<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;

class CaseReminderMail extends Mailable
{
    use Queueable, SerializesModels;

    public $case;

    /**
     * Create a new message instance.
     */
    public function __construct($case)
    {
        $this->case = $case;
    }

    /**
     * Build the message.
     */
    public function build()
    {
        $subject = "تذكير تحديث الدراسة "." ".$this->case->custom_id;
        return $this->subject($subject)
            ->view('emails.case-reminder')
            ->with([
                'case' => $this->case
            ]);
    }
}
