<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CaseProperty extends Model
{
    use HasFactory;

    // Table associated with the model
    protected $table = 'case_property';

    // Mass assignable attributes
    protected $fillable = [
        'case_id',
        'family_property_land',
        'family_property_home',
        'family_property_real_state',
        'family_property_car',
        'family_property_shop',
    ];

    // Define relationships
    public function case()
    {
        return $this->belongsTo(CaseModel::class, 'case_id');
    }
}
