<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Donor extends Model
{
    use HasFactory, SoftDeletes;

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'donors';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'start_date_donation',
        'donor_coding',
        'name',
        'qb_name',
        'qb_id',
        'payment_method',
        'phone',
        'amount',
        'case_id',
        'iban',
        'status',
        'last_donation_date',
        'children_count',
        'notes',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'start_date_donation' => 'date',
        'last_donation_date' => 'date',
        'amount' => 'double',
        'status' => 'integer',
        'children_count' => 'integer',
    ];
}
