<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\MediaLibrary\HasMedia;
use Spatie\MediaLibrary\InteractsWithMedia;

class Orphan extends Model implements HasMedia
{
    use HasFactory, SoftDeletes, InteractsWithMedia;

    // Table associated with the model
    protected $table = 'orphans';

    protected $hidden = ['media'];

    protected $appends = ['attachments'];

    // Mass assignable attributes
    protected $fillable = [
        'custom_id',
        'child_name',
        'mother_name',
        'national_id',
        'phone',
        'address',
        'birthday',
        'bail_amount',
        'additional_amount',
        'donor_id',
        'case_id',
        'exchangeـnotes',
        'orphan_type',
        'accept_docuware',
        'sponsorship_start_date',
        'sponsorship_update_date',
        'status',
        'is_visit',
        'visit_notes',
        'statement_of_account',
        'financial_disability_rate',
        'reason_for_suspension',
        'date_of_suspension'
    ];
}
