<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\MediaLibrary\HasMedia;
use Spatie\MediaLibrary\InteractsWithMedia;

class OwnCraft extends Model implements HasMedia
{
    use HasFactory, SoftDeletes, InteractsWithMedia;

    // Define the table associated with the model (optional if table name is plural form of model name)
    protected $table = 'own_craft';

    protected $hidden = ['media'];

    protected $appends = ['attachments'];

    // Mass assignable attributes
    protected $fillable = [
        'custom_id',
        'scholarship_start_date',
        'student_name',
        'sponser_name',
        'institution_name',
        'major',
        'study_year',
        'major_hours_count',
        'fee',
        'finished_hours_count',
        'total_financial_claims',
        'notes',
    ];

    // Cast attributes to native types (e.g., dates)
    protected $casts = [
        'scholarship_start_date' => 'date',
    ];

    // Dates for soft deletes
    protected $dates = ['deleted_at'];
}
