<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Spatie\MediaLibrary\HasMedia;
use Spatie\MediaLibrary\InteractsWithMedia;

class OwnUniversity extends Model implements HasMedia
{
    use HasFactory, SoftDeletes, InteractsWithMedia;

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'own_university';

    protected $hidden = ['media'];

    protected $appends = ['attachments'];

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'custom_id',
        'scholarship_start_date',
        'student_name',
        'sponser_name',
        'student_id',
        'major',
        'university_name',
        'study_type',
        'study_year',
        'hourlyـprice',
        'registrationـfees',
        'major_hours_count',
        'finished_hours_count',
        'total_financial_claims',
        'notes',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'study_type' => 'integer',
        'hourlyـprice' => 'double',
        'registrationـfees' => 'double',
        'major_hours_count' => 'integer',
        'finished_hours_count' => 'integer',
        'total_financial_claims' => 'double',
        'scholarship_start_date' => 'date'
    ];
}
