<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class TakeaChance extends Model
{
    use HasFactory, SoftDeletes;

    // Table name is not plural by default, so explicitly define it
    protected $table = 'takeachance';

    // Define the attributes that are mass assignable
    protected $fillable = [
        'custom_id',
        'name',
        'city',
        'phone',
        'age',
        'academic_achievement',
        'class',
        'recommendation_desc',
        'decline_reason',
        'type',
        'skills',
        'notes',
        'additional_info',
        'courses'
    ];

    // Define the attributes that should be cast to native types
    protected $casts = [
        'type' => 'integer',
        'age' => 'integer',
    ];
}
