<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('donors', function (Blueprint $table) {
            $table->id();
            $table->date('start_date_donation');
            $table->string('donor_coding');
            $table->string('name');
            $table->string('qb_name');
            $table->string('qb_id');
            $table->string('payment_method');
            $table->string('phone');
            $table->double('amount');
            $table->string('iban');
            $table->integer('status');
            $table->date('last_donation_date');
            $table->integer('children_count');
            $table->longText('notes')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('donors');
    }
};
