$(document).ready(function () {
    $(document).on('click', '.btn-show-rec-modal', function (e) {
        var id = $(this).data("id");
        var data = $(this).data("recommendation");
        var data_decline = $(this).data("decline-reason");

        $("#student_id").val(id);
        $("#recommendation_desc").val(data);
        $("#decline_reason").val(data_decline);

        $("#accept_student").modal("show");
    });

    $(document).on('click', '.btn-accept-student', function (e){
        e.preventDefault();
        var id = $(this).data("id");

        Swal.fire({
            title: "",
            text: "هل أنت متأكد من عملية التأكيد",
            type: "warning",
            showCancelButton: !0,
            confirmButtonColor: "#3085d6",
            cancelButtonColor: "#d33",
            confirmButtonText: "نعم , حذف",
            cancelButtonText: "لا , رفض",
            confirmButtonClass: "btn btn-success mt-2",
            cancelButtonClass: "btn btn-danger ml-2 mt-2",
            buttonsStyling: !1
        })
            .then((result) => {
                if (result.value) {
                    $.ajax({
                        type: "POST",
                        url: '/admin/take-a-chance/send-jodkom',
                        data: {
                            id: id
                        },
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        success: function (response) {
                            var data = JSON.parse(response);
                            if (data.status == "success") {
                                Swal.fire({
                                    title: "",
                                    text: "تم التأكيد بنجاح",
                                    type: "success",
                                    confirmButtonText: "موافق"
                                }).then(
                                    (result) => {
                                        location.reload();
                                    });
                            } else {
                                Swal.fire({
                                    title: "",
                                    text: "حدث خطأ, يرجى المحاولة لاحقاً",
                                    type: "error",
                                    confirmButtonText: "موافق"
                                }).then(
                                    (result) => {
                                        location.reload();
                                    });
                            }

                        },
                        error: function (err) {
                            Swal.fire({
                                title: "",
                                text: "حدث خطأ, يرجى المحاولة لاحقاً",
                                type: "error",
                                confirmButtonText: "موافق"
                            }).then(
                                (result) => {
                                    location.reload();
                                });
                        }
                    });
                }
                else{
                    $("#student_id").val(id);
                    $("#decline_student").modal("show");
                }
            });
    });

    $(document).on('click', '.btn-decline-student', function (e)
    {
        e.preventDefault();
        var id = $("#student_id").val();

        var decline_reason = $("#decline_reason").val();
        if(decline_reason != ''){
            $("#decline_reason").removeClass("is-invalid");
        } else{
            $("#decline_reason").addClass("is-invalid");
            return false;
        }
        Swal.fire({
            title: "",
            text: "هل أنت متأكد من رفض الطالب؟",
            type: "warning",
            showCancelButton: !0,
            confirmButtonColor: "#3085d6",
            cancelButtonColor: "#d33",
            confirmButtonText: "نعم , حذف",
            cancelButtonText: "لا , الغاء",
            confirmButtonClass: "btn btn-success mt-2",
            cancelButtonClass: "btn btn-danger ml-2 mt-2",
            buttonsStyling: !1
        })
            .then((result) => {
                if (result.value) {
                    $.ajax({
                        type: "POST",
                        url: '/admin/take-a-chance/send-to-recommendation',
                        data: {
                            id: id,
                            accepted: 0,
                            decline_reason:decline_reason
                        },
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        success: function (response) {
                            var data = JSON.parse(response);
                            if (data.status == "success") {
                                Swal.fire({
                                    title: "",
                                    text: "تم الحفظ بنجاح",
                                    type: "success",
                                    confirmButtonText: "موافق"
                                }).then(
                                    (result) => {
                                        location.reload();
                                    });
                            } else {
                                Swal.fire({
                                    title: "",
                                    text: "حدث خطأ, يرجى المحاولة لاحقاً",
                                    type: "error",
                                    confirmButtonText: "موافق"
                                }).then(
                                    (result) => {
                                        location.reload();
                                    });
                            }

                        },
                        error: function (err) {
                            Swal.fire({
                                title: "",
                                text: "حدث خطأ, يرجى المحاولة لاحقاً",
                                type: "error",
                                confirmButtonText: "موافق"
                            }).then(
                                (result) => {
                                    location.reload();
                                });
                        }
                    });
                }
            });
    });

    $(document).on('change', '.accept_recommendation', function (e) {
        var value = $(this).val();
        if(value == 0){
            $(".recommendation_desc_form").addClass("d-none");
            $(".decline_reason_form").removeClass("d-none");
        }
        else if(value == 1){
            $(".decline_reason_form").addClass("d-none");
            $(".recommendation_desc_form").removeClass("d-none");
        }
    });

    $(document).on('click', '.btn-send-recommendation-request', function (e) {
        var id = $("#student_id").val();
        var data = $("#recommendation_desc").val();
        var decline_reason = $("#decline_reason").val();
        var checkedValue = $('input[name="accept_recommendation"]:checked').val();
        if(checkedValue == 1){
            if(data != ''){
                $("#recommendation_desc").removeClass("is-invalid");
            } else{
                $("#recommendation_desc").addClass("is-invalid");
                return false;
            }
        }
        else if(checkedValue == 0){
            if(decline_reason != ''){
                $("#decline_reason").removeClass("is-invalid");
            } else{
                $("#decline_reason").addClass("is-invalid");
                return false;
            }
        }
        else{
            alert('يرجى الاختيار')
            return false;
        }

        Swal.fire({
            title: "",
            text: "هل أنت متأكد من تنسيب الطالب؟",
            type: "warning",
            showCancelButton: !0,
            confirmButtonColor: "#3085d6",
            cancelButtonColor: "#d33",
            confirmButtonText: "نعم , حذف",
            cancelButtonText: "لا , الغاء",
            confirmButtonClass: "btn btn-success mt-2",
            cancelButtonClass: "btn btn-danger ml-2 mt-2",
            buttonsStyling: !1
        })
            .then((result) => {
                if (result.value) {
                    $.ajax({
                        type: "POST",
                        url: '/admin/take-a-chance/send-to-recommendation',
                        data: {
                            data: data,
                            id: id,
                            decline_reason:decline_reason,
                            accepted:checkedValue
                        },
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        success: function (response) {
                            var data = JSON.parse(response);
                            if (data.status == "success") {
                                Swal.fire({
                                    title: "",
                                    text: "تم الحفظ بنجاح",
                                    type: "success",
                                    confirmButtonText: "موافق"
                                }).then(
                                    (result) => {
                                        location.reload();
                                    });
                            } else {
                                Swal.fire({
                                    title: "",
                                    text: "حدث خطأ, يرجى المحاولة لاحقاً",
                                    type: "error",
                                    confirmButtonText: "موافق"
                                }).then(
                                    (result) => {
                                        location.reload();
                                    });
                            }

                        },
                        error: function (err) {
                            Swal.fire({
                                title: "",
                                text: "حدث خطأ, يرجى المحاولة لاحقاً",
                                type: "error",
                                confirmButtonText: "موافق"
                            }).then(
                                (result) => {
                                    location.reload();
                                });
                        }
                    });
                }
            });

    });

    $(document).on('click', '.btn-delete', function (e) {
        e.preventDefault();
        var id = $(this).data("id");
        var table = $(this).data("table");
        var url = '';
        if (table == "admin") {
            url = '/admin/users/delete/' + id;
        }
        else if (table == "Donor") {
            url = '/admin/donors/delete/' + id;
        }
        else if (table == "familyAid") {
            url = '/admin/aid-for-families/delete/' + id;
        }
        else if (table == "own-university") {
            url = '/admin/own-university/delete/' + id;
        }
        else if (table == "own-craft") {
            url = '/admin/own-craft/delete/' + id;
        }
        else if (table == "own-tawjihi") {
            url = '/admin/own-tawjihi/delete/' + id;
        }
        else if (table == "study-platforms") {
            url = '/admin/study-platforms/delete/' + id;
        }
        else if (table == "takeachance") {
            url = '/admin/take-a-chance/delete/' + id;
        } else{
            url = '/admin/' + table + '/delete/' + id;
        }

        Swal.fire({
            title: "",
            text: "هل أنت متأكد من عملية الحذف",
            type: "warning",
            showCancelButton: !0,
            confirmButtonColor: "#3085d6",
            cancelButtonColor: "#d33",
            confirmButtonText: "نعم , حذف",
            cancelButtonText: "لا , الغاء",
            confirmButtonClass: "btn btn-success mt-2",
            cancelButtonClass: "btn btn-danger ml-2 mt-2",
            buttonsStyling: !1
        })
            .then((result) => {
                if (result.value) {
                    $.ajax({
                        type: "GET",
                        url: url,
                        data: {

                        },
                        success: function (response) {
                            var data = JSON.parse(response);
                            if (data.status == "success") {
                                Swal.fire({
                                    title: "",
                                    text: "تم الحذف بنجاح",
                                    type: "success",
                                    confirmButtonText: "موافق"
                                }).then(
                                    (result) => {
                                        location.reload();
                                    });
                            } else {
                                Swal.fire({
                                    title: "",
                                    text: "حدث خطأ, يرجى المحاولة لاحقاً",
                                    type: "error",
                                    confirmButtonText: "موافق"
                                }).then(
                                    (result) => {
                                        location.reload();
                                    });
                            }

                        },
                        error: function (err) {
                            Swal.fire({
                                title: "",
                                text: "حدث خطأ, يرجى المحاولة لاحقاً",
                                type: "error",
                                confirmButtonText: "موافق"
                            }).then(
                                (result) => {
                                    location.reload();
                                });
                        }
                    });
                }
            });

    });

    $(document).on('click', '.add-new-children', function (){
        let clonedDiv = $(this).closest(".clone-children").clone();
        clonedDiv.find("input").val("");

        // Append to the children-record container
        $(".children-record").append(clonedDiv);
    })

    // Handle Remove Button Click
    $(document).on("click", ".remove-children", function () {
        $(this).closest(".clone-children").remove(); // Remove the specific record
    });

    $(document).on('click', '.add-new-children-married', function (){
        let clonedDiv = $(this).closest(".clone-children-married").clone();
        clonedDiv.find("input").val("");

        // Append to the children-record container
        $(".children-married-record").append(clonedDiv);
    })

    // Handle Remove Button Click
    $(document).on("click", ".remove-children-married", function () {
        $(this).closest(".clone-children-married").remove(); // Remove the specific record
    });

    $(document).on('click', '.add-new-others', function (){
        let clonedDiv = $(this).closest(".clone-others").clone();
        clonedDiv.find("input").val("");

        // Append to the children-record container
        $(".others-record").append(clonedDiv);
    })

    // Handle Remove Button Click
    $(document).on("click", ".remove-others", function () {
        $(this).closest(".clone-others").remove(); // Remove the specific record
    });

    $(document).on('click', '.add-new-income', function (){
        let clonedDiv = $(this).closest(".income_tr").clone();
        clonedDiv.find("input").val("");

        // Append to the children-record container
        $(".tbody_income").append(clonedDiv);
    })

    // Handle Remove Button Click
    $(document).on("click", ".remove-income", function () {
        $(this).closest(".income_tr").remove(); // Remove the specific record
    });

    $(document).on("change", "#is_visit", function () {
        const is_visit = $(this).val();
        if(Number(is_visit)){
            $(".visit_notes_section").removeClass("d-none");
        } else {
            $(".visit_notes_section").addClass("d-none");
        }
    });

    $(document).on("change", ".status_of_orphan", function () {
        const status_of_orphan = $(this).val();
        if(Number(status_of_orphan) === 2){
            $(".reason_for_suspension_section").removeClass("d-none");
            $(".date_of_suspension_section").removeClass("d-none");
        } else {
            $(".reason_for_suspension_section").addClass("d-none");
            $(".date_of_suspension_section").addClass("d-none");
        }
    });


    $(document).on("keyup", "#additional_amount, #bail_amount", function () {
        var additional_amount = $("#additional_amount").val();
        var bail_amount = $("#bail_amount").val();
        $("#total").val(Number(additional_amount) + Number(bail_amount));
    });

    $(document).on("keyup", "#additional_amount", function (){
        var amount = $(this).val();
        if(amount > 0){
            $(".exchangeـnotes_section").removeClass("d-none");
        } else {
            $(".exchangeـnotes_section").addClass("d-none");
        }
    })

    $(document).on('click', '.add-new-expenses', function (){
        let clonedDiv = $(this).closest(".expenses_tr").clone();
        clonedDiv.find("input").val("");

        // Append to the children-record container
        $(".tbody_expenses").append(clonedDiv);
    })

    // Handle Remove Button Click
    $(document).on("click", ".remove-expenses", function () {
        $(this).closest(".expenses_tr").remove(); // Remove the specific record
    });

    $(document).on('click', '.btn-save-other-data', function (){
        var priority = $("#priority").val();
        var id = $("#case_id").val();
        var maximum_guarantee_value = $("#maximum_guarantee_value").val();
        var send_flag = true;
        if(priority == ''){
            send_flag = false;
            $("#priority").addClass("is-invalid");
        } else {
            $("#priority").removeClass("is-invalid");
        }
        if(maximum_guarantee_value == ''){
            send_flag = false;
            $("#maximum_guarantee_value").addClass("is-invalid");
        } else {
            $("#maximum_guarantee_value").removeClass("is-invalid");
        }
        if(send_flag){
            $.ajax({
                type: "POST",
                url: '/admin/cases/change-status',
                data: {
                    id: id,
                    status: 4,
                    priority:priority,
                    maximum_guarantee_value:maximum_guarantee_value
                },
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                success: function (response) {
                    var data = JSON.parse(response);
                    if (data.status == "success") {
                        Swal.fire({
                            title: "",
                            text: "تم التأكيد بنجاح",
                            type: "success",
                            confirmButtonText: "موافق"
                        }).then(
                            (result) => {
                                $("#continue_data").modal("hide");
                            });
                    } else {
                        Swal.fire({
                            title: "",
                            text: "حدث خطأ, يرجى المحاولة لاحقاً",
                            type: "error",
                            confirmButtonText: "موافق"
                        }).then(
                            (result) => {
                                location.reload();
                            });
                    }

                },
                error: function (err) {
                    Swal.fire({
                        title: "",
                        text: "حدث خطأ, يرجى المحاولة لاحقاً",
                        type: "error",
                        confirmButtonText: "موافق"
                    }).then(
                        (result) => {
                            location.reload();
                        });
                }
            });
        }
    });

    $(document).on("change",".change_status", function (){
        var id = $(this).data("id");
        var status = $(this).val();
        if(status == 4){
            $("#case_id").val(id);
            $("#continue_data").modal("show");
        } else {
            Swal.fire({
                title: "",
                text: "هل أنت متأكد من عملية التأكيد",
                type: "warning",
                showCancelButton: !0,
                confirmButtonColor: "#3085d6",
                cancelButtonColor: "#d33",
                confirmButtonText: "نعم , حذف",
                cancelButtonText: "لا , رفض",
                confirmButtonClass: "btn btn-success mt-2",
                cancelButtonClass: "btn btn-danger ml-2 mt-2",
                buttonsStyling: !1
            })
                .then((result) => {
                    if (result.value) {
                        $.ajax({
                            type: "POST",
                            url: '/admin/cases/change-status',
                            data: {
                                id: id,
                                status: status
                            },
                            headers: {
                                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                            },
                            success: function (response) {
                                var data = JSON.parse(response);
                                if (data.status == "success") {
                                    Swal.fire({
                                        title: "",
                                        text: "تم التأكيد بنجاح",
                                        type: "success",
                                        confirmButtonText: "موافق"
                                    }).then(
                                        (result) => {

                                        });
                                } else {
                                    Swal.fire({
                                        title: "",
                                        text: "حدث خطأ, يرجى المحاولة لاحقاً",
                                        type: "error",
                                        confirmButtonText: "موافق"
                                    }).then(
                                        (result) => {
                                            location.reload();
                                        });
                                }

                            },
                            error: function (err) {
                                Swal.fire({
                                    title: "",
                                    text: "حدث خطأ, يرجى المحاولة لاحقاً",
                                    type: "error",
                                    confirmButtonText: "موافق"
                                }).then(
                                    (result) => {
                                        location.reload();
                                    });
                            }
                        });
                    }
                });
        }
    })

    $(document).on('click', '.btn-show-add-donor', function (){
        var id = $(this).data("id");
        $("#marketing_id").val(id);
        $("#add_donor_popup").modal("show");
    });

    $(document).on('click', '.btn-add-donor', function (){
        var id = $("#marketing_id").val();
        var start_date_donation = $("#start_date_donation").val();
        var name = $("#name").val();
        var phone = $("#phone").val();
        var amount = $("#amount").val();
        var payment_method = $("#payment_method").val();
        var iban = $("#iban").val();
        var children_count = $("#children_count").val();

        $.ajax({
            type: "POST",
            url: '/admin/donors/store-and-orphan',
            data: {
                id: id,
                start_date_donation: start_date_donation,
                name:name,
                phone:phone,
                payment_method:payment_method,
                iban:iban,
                children_count:children_count,
                amount:amount
            },
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            success: function (response) {
                var data = JSON.parse(response);
                if (data.status == "success") {
                    $("#add_donor_popup").modal("hide");
                    Swal.fire({
                        title: "",
                        text: "تم الحفظ بنجاح",
                        type: "success",
                        confirmButtonText: "موافق"
                    }).then(
                        (result) => {
                            location.reload();
                        });
                } else {
                    Swal.fire({
                        title: "",
                        text: "حدث خطأ, يرجى المحاولة لاحقاً",
                        type: "error",
                        confirmButtonText: "موافق"
                    }).then(
                        (result) => {
                            location.reload();
                        });
                }

            },
            error: function (err) {
                $(".form-control").removeClass("is-invalid");
                $(".form-control").siblings(".invalid-feedback").text("");
                displayErrors(err.responseJSON.errors);
            }
        });
    });
});

function displayErrors(errorObj) {
    Object.keys(errorObj).forEach(key => {
        const messages = errorObj[key];
        messages.forEach(message => {
            $("#" + key).addClass("is-invalid");
            $("#" + key).siblings(".invalid-feedback").text(message);
        });
    });
}

