@extends('layouts.admin.add')
@section('title')إضافة مستخدم جديد@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'إضافة مستخدم جديد' ])

<div class="row">
    <div class="col-12">
        <div class="widget-rounded-circle card-box d-flex justify-content-between">
            <form class='w-100' action="{{ route('case.store') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul class='ml-3 mb-0'>
                                        @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif
                                @if (session('success'))
                                <div class="alert alert-success">
                                    {{ session('success') }}
                                </div>
                                @endif
                            </div>
                            <div class="form-group col-md-6">
                                <label for="name">الاسم</label>
                                <input type="text" id="name" name="name" placeholder='الإسم' value="{{ old('name') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="parent_name">اسم ولي الأمر</label>
                                <input type="text" id="parent_name" name="parent_name" placeholder='اسم ولي الأمر' value="{{ old('parent_name') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="phone">رقم الهاتف</label>
                                <input type="text" id="phone" name="phone" placeholder='رقم الهاتف' value="{{ old('phone') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="address">العنوان التفصيلي</label>
                                <input type="text" id="address" name="address" placeholder='العنوان التفصيلي' value="{{ old('address') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="custom_id">ترميز الدراسة</label>
                                <input type="text" id="custom_id" name="custom_id" placeholder='ترميز الدراسة' value="{{ old('custom_id') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="created_case_date">تاريخ إجراء الدراسة</label>
                                <input type="date" id="created_case_date" name="created_case_date" placeholder='تاريخ إجراء الدراسة' value="{{ old('created_case_date') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="updated_case_date">تاريخ تحديث الدراسة المتوقع</label>
                                <input type="date" id="updated_case_date" name="updated_case_date" placeholder='تاريخ تحديث الدراسة المتوقع' value="{{ old('updated_case_date') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="case_type" class="d-block mb-2">نوع الدراسة</label>
                                <div class="form-check form-check-inline mr-2">
                                    <input class="form-check-input" type="radio" name="case_type" id="orphan" value="1">
                                    <label class="form-check-label mx-1" for="orphan">أيتام</label>
                                </div>
                                <div class="form-check form-check-inline mr-2">
                                    <input class="form-check-input" type="radio" name="case_type" id="family" value="2">
                                    <label class="form-check-label mx-1" for="family">عائلات</label>
                                </div>
                            </div>
                            <div class="form-group col-md-12">
                                <button class='btn btn-primary px-4'>حفظ</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
