@extends('layouts.admin.show')
@section('title')دراسة الحالة@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'دراسة الحالة' ])
<div class='row mt-3'>
    <div class="col-md-12">
        <div class="widget-rounded-circle card-box">
            <div class="row">
                @if (session('success'))
                    <div class="col-12">
                        <div class="alert alert-success">
                            {{ session('success') }}
                        </div>
                    </div>
                @endif
                <div class='col-12 table-responsive'>
                    <table id="basic-datatable" class="table dt-responsive nowrap w-100">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>ترميز الدراسة</th>
                                <th>الاسم</th>
                                <th>رقم الهاتف</th>
                                <th>تاريخ الدراسة</th>
                                <th>الحالة</th>
                                <th>الإجراء</th>
                            </tr>
                        </thead>
                        <tbody>
                        @foreach ($data as $item)
                            <tr>
                                <td>{{$item->id}}</td>
                                <td>{{$item->custom_id}}</td>
                                <td>{{$item->name}}</td>
                                <td>{{$item->phone}}</td>
                                <td>{{ date('Y-m-d', strtotime($item->created_case_date)) }}</td>
                                <td>
                                    <select id="item-{{$item->id}}" class="form-control change_status" data-id="{{ $item->id }}">
                                        <option value="1" @if($item->status == 1) SELECTED @endif>قيد الدراسة</option>
                                        <option value="2" @if($item->status == 2) SELECTED @endif>تمت الدراسة</option>
                                        <option value="3" @if($item->status == 3) SELECTED @endif>تم التدقيق</option>
                                        <option value="4" @if($item->status == 4) SELECTED @endif>موافق عليها</option>
                                        <option value="5" @if($item->status == 5) SELECTED @endif>مرفوضة</option>
                                    </select>
                                </td>
                                <td>
                                    <a href="{{ route('uploader.cases', $item->id) }}" class='btn btn-info' data-toggle="tooltip" data-placement="top" title="المرفقات" data-original-title="Tooltip on top" data-id="{{ $item->id }}"><i class="fas fa-folder-open"></i></a>
                                    <a href="{{ route('case.edit', $item->id) }}" class='btn btn-secondary' data-toggle="tooltip" data-placement="top" title="تعديل" data-original-title="Tooltip on top" data-id="{{ $item->id }}"><i class='fas fa-edit'></i></a>
                                    <button class='btn btn-danger btn-delete' data-toggle="tooltip" data-placement="top" title="حذف" data-original-title="Tooltip on top" data-table="cases" data-id="{{ $item->id }}"><i class='fas fa-trash-alt'></i></button>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Modal -->
<div class="modal fade" id="continue_data" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">اكمال المعلومات</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="case_id">
                <div class="form-row">
                    <div class="form-group col-12">
                        <label for="priority">درجة الأولوية</label>
                        <select class="form-control" id="priority" name="priority">
                            <option value="">اختر</option>
                            <option value="1">مستعجل</option>
                            <option value="2">مهم</option>
                            <option value="3">غير مهم</option>
                        </select>
                    </div>
                    <div class="form-group col-12">
                        <label for="maximum_guarantee_value">الحد الأعلى لقيمة الكفالة</label>
                        <input type="number" class="form-control" min="1" step="any" name="maximum_guarantee_value" id="maximum_guarantee_value">
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">الغاء</button>
                <button type="button" class="btn btn-primary btn-save-other-data">حفظ</button>
            </div>
        </div>
    </div>
</div>
@endsection
