@extends('layouts.admin.show')
@section('title')تحديث الدراسة@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'تحديث الدراسة' ])
<div class='row mt-3'>
    <div class="col-md-12">
        <div class="widget-rounded-circle card-box">
            <div class="row">
                @if (session('success'))
                    <div class="col-12">
                        <div class="alert alert-success">
                            {{ session('success') }}
                        </div>
                    </div>
                @endif
                <div class='col-12 table-responsive'>
                    <table id="basic-datatable" class="table dt-responsive nowrap w-100">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>ترميز الدراسة</th>
                                <th>الاسم</th>
                                <th>تاريخ تحديث الدراسة</th>
                                <th>الحالة</th>
                            </tr>
                        </thead>
                        <tbody>
                        @foreach ($data as $item)
                            <tr>
                                <td>{{$item->id}}</td>
                                <td>{{$item->custom_id}}</td>
                                <td>{{$item->name}}</td>
                                <td>{{ date('Y-m-d', strtotime($item->updated_case_date)) }}</td>
                                <td>
                                    @switch($item->status)
                                        @case(1)
                                            قيد الدراسة
                                            @break
                                        @case(2)
                                            تمت الدراسة
                                            @break
                                        @case(3)
                                            تم التدقيق
                                            @break
                                        @case(4)
                                            موافق عليها
                                            @break
                                        @case(5)
                                            مرفوضة
                                            @break
                                        @case(6)
                                            بحاجة لتحديث
                                            @break
                                    @endswitch
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
