@extends('layouts.admin.show')
@section('title'){{ $title }}@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => $title])
<div class='row mt-3'>
    <div class="col-md-12">
        <div class="widget-rounded-circle card-box">
            <div class="row">
                <div class='col-12 table-responsive'>
                    <table class="table nowrap w-100">
                        <thead class="thead-light">
                            <tr>
                                <th>#</th>
                                <th>الأسم</th>
                                <th>رقم الهاتف</th>
                                <th>مبلغ الكفالة</th>
                                <th>مبلغ اضافي</th>
                                <th>المجموع</th>
                                <th>ملاحظات الصرف</th>
                            </tr>
                        </thead>
                        <tbody>
                        <?php
                            $total = 0;
                        ?>
                        @foreach ($data->items as $item)
                            <?php
                                $total += ($item->bail_amount + $item->additional_amount);
                            ?>
                            <tr>
                                <td>{{$item->id}}</td>
                                <td>{{$item->name}}</td>
                                <td>{{$item->phone}}</td>
                                <td>{{$item->bail_amount}}</td>
                                <td>{{$item->additional_amount}}</td>
                                <td>{{$item->bail_amount + $item->additional_amount}}</td>
                                <td>{{$item->exchangeـnotes}}</td>
                            </tr>
                        @endforeach
                        </tbody>
                        <tfoot>
                            <tr>
                                <td colspan="7" class="text-center" style="font-weight: bold; font-size: 18px;">
                                    <span class="d-block">المجموع: {{ $total }} دينار</span>
                                    <a class="btn btn-success" href="/admin/disbursement/excel/{{ $data->id }}/download">Download</a>
                                </td>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
