@extends('layouts.admin.add')
@section('title')تعديل معلومات المتبرع@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'تعديل معلومات المتبرع' ])

<div class="row">
    <div class="col-12">
        <div class="widget-rounded-circle card-box d-flex justify-content-between">
            <form class='w-100' action="{{ route('donor.update', $data) }}" method="POST" enctype="multipart/form-data">
                @csrf
                @method('put')
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul class='ml-3 mb-0'>
                                        @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif
                                @if (session('success'))
                                <div class="alert alert-success">
                                    {{ session('success') }}
                                </div>
                                @endif
                            </div>
                            <div class="form-group col-md-4">
                                <label for="start_date_donation">تاريخ بدء الكفالة</label>
                                <input type="date" id="start_date_donation" name="start_date_donation" value="{{ date('Y-m-d', strtotime($data->start_date_donation)) }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="donor_coding">ترميز المتبرع</label>
                                <select class="form-control" name="donor_coding" id="donor_coding">
                                    <option value="">إختر</option>
                                    <option value="D.O" @if($data->donor_coding == "D.O") selected @endif>D.O</option>
                                    <option value="D.O.K" @if($data->donor_coding == "D.O.K") selected @endif>D.O.K</option>
                                    <option value="D.K" @if($data->donor_coding == "D.K") selected @endif>D.K</option>
                                </select>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="name">الإسم (AR)</label>
                                <input type="text" id="name" name="name" placeholder='الإسم (AR)' value="{{ $data->name }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="qb_name">الإسم (َQB)</label>
                                <input type="text" id="qb_name" name="qb_name" placeholder='الإسم (َQB)' value="{{ $data->qb_name }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="qb_id">الرقم على (َQB)</label>
                                <input type="text" id="qb_id" name="qb_id" placeholder='الرقم على (َQB)' value="{{ $data->qb_id }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="payment_method">طريقة الدفع</label>
                                <input type="text" id="payment_method" name="payment_method" placeholder='طريقة الدفع' value="{{ $data->payment_method }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="phone">رقم الهاتف</label>
                                <input type="text" id="phone" name="phone" placeholder='رقم الهاتف' value="{{ $data->phone }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="amount">مبلغ التبرع</label>
                                <input type="number" step="1" id="amount" name="amount" placeholder='مبلغ التبرع' value="{{ $data->amount }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="iban">IBAN</label>
                                <input type="text" id="iban" name="iban" placeholder='IBAN' value="{{ $data->iban }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="status">الحالة</label>
                                <select class="form-control" name="status">
                                    <option value="">إختر</option>
                                    <option value="1"  @if($data->status == 1) selected @endif>مستمر</option>
                                    <option value="2"  @if($data->status == 2) selected @endif>متأخر</option>
                                    <option value="3"  @if($data->status == 3) selected @endif>متوقف</option>
                                    <option value="4"  @if($data->status == 4) selected @endif>مقدم</option>
                                </select>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="last_donation_date">تاريخ اخر كفالة</label>
                                <input type="date" id="last_donation_date" name="last_donation_date" placeholder='تاريخ اخر كفالة' value="{{ date('Y-m-d', strtotime($data->last_donation_date)) }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="children_count">عدد الأطفال</label>
                                <input type="number" step="1" id="children_count" name="children_count" placeholder='عدد الأطفال' value="{{ $data->children_count }}" class="form-control">
                            </div>
                            <div class="form-group col-md-12">
                                <label for="notes">الملاحظات</label>
                                <textarea class="form-control" rows="3" name="notes" id="notes">{{ $data->notes }}</textarea>
                            </div>
                            <div class="form-group col-md-12 text-right">
                                <button class='btn btn-primary px-4'>حفظ</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
