@extends('layouts.admin.show')
@section('title')المتبرعين@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'المتبرعين' ])
<div class='row mt-3'>
    <div class="col-md-12">
        <div class="widget-rounded-circle card-box">
            <div class="row">
                <div class='col-12 table-responsive'>
                    <table id="basic-datatable" class="table dt-responsive nowrap w-100">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>الإسم</th>
                                <th>رقم الكفيل QB</th>
                                <th>مبلغ التبرع</th>
                                <th>تاريخ اخر كفالة</th>
                                <th>عدد الأطفال</th>
                                <th>الملاحظات</th>
                                <th>الإجراء</th>
                            </tr>
                        </thead>
                        <tbody>
                        @foreach ($data as $item)
                            <tr>
                                <td>{{$item->id}}</td>
                                <td>{{$item->name}}</td>
                                <td>{{$item->qb_id}}</td>
                                <td>{{$item->amount}}</td>
                                <td>{{$item->last_donation_date}}</td>
                                <td>{{$item->children_count}}</td>
                                <td>{{$item->notes}}</td>
                                <td>
                                    <a href="{{ route('donor.edit', $item->id) }}" class='btn btn-secondary' data-toggle="tooltip" data-placement="top" title="تعديل" data-original-title="Tooltip on top" data-id="{{ $item->id }}"><i class='fas fa-edit'></i></a>
                                    <button class='btn btn-danger btn-delete' data-toggle="tooltip" data-placement="top" title="حذف" data-original-title="Tooltip on top" data-table="Donor" data-id="{{ $item->id }}"><i class='fas fa-trash-alt'></i></button>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
