@extends('layouts.admin.add')
@section('title')تعديل معلومات العائلة@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'تعديل معلومات العائلة' ])

<div class="row">
    <div class="col-12">
        <div class="widget-rounded-circle card-box d-flex justify-content-between">
            <form class='w-100' action="{{ route('familyAid.update', $data) }}" method="POST" enctype="multipart/form-data">
                @csrf
                @method('PUT')
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul class='ml-3 mb-0'>
                                        @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif
                                @if (session('success'))
                                <div class="alert alert-success">
                                    {{ session('success') }}
                                </div>
                                @endif
                            </div>
                            <div class="form-group col-md-4">
                                <label for="custom_id">ترميز الدراسة</label>
                                <input type="text" id="custom_id" name="custom_id" placeholder='ترميز الدراسة' value="{{ $data->custom_id  }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="mother_name">اسم الام</label>
                                <input type="text" id="mother_name" name="mother_name" placeholder='اسم الام' value="{{ $data->mother_name }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="phone">رقم الهاتف</label>
                                <input type="text" id="phone" name="phone" placeholder='رقم الهاتف' value="{{ $data->phone }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="type">نوع التنسيب</label>
                                <select class="form-control" name="type" id="type">
                                    <option value="">إختر</option>
                                    <option value="1" @if($data->type == 1) selected @endif>داخلي</option>
                                    <option value="2" @if($data->type == 2) selected @endif>خارجي</option>
                                </select>
                            </div>
                            <div class="form-group col-md-4 @if($data->type !== 1) d-none @endif">
                                <label for="project">المشاريع</label>
                                <select class="form-control" name="project" id="project">
                                    <option value="">إختر</option>
                                    @foreach(\App\Helpers\Helper::getProjects() as $i => $project)
                                        <option value="{{ $i }}" @if($data->project == $i) selected @endif>{{ $project }}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group col-md-4 @if($data->type !== 2) d-none @endif">
                                <label for="help_needed">المساعدة المطلوبة</label>
                                <input type="text" id="help_needed" name="help_needed" placeholder='المساعدة المطلوبة' value="{{ $data->help_needed }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="help_needed_date">تاريخ طلب المساعدة</label>
                                <input type="date" id="help_needed_date" name="help_needed_date" placeholder='تاريخ طلب المساعدة' value="{{ date('Y-m-d', strtotime($data->help_needed_date)) }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="status">الحالة</label>
                                <select class="form-control" name="status">
                                    <option value="">إختر</option>
                                    <option value="1" @if($data->status == 1) selected @endif>تم المساعدة</option>
                                    <option value="2" @if($data->status == 2) selected @endif>مرفوض</option>
                                    <option value="3" @if($data->status == 3) selected @endif>على قائمة الإنتظار</option>
                                </select>
                            </div>
                            <div class="form-group col-md">
                                <label for="notes">الملاحظات</label>
                                <textarea class="form-control" rows="1" name="notes" id="notes">{{ $data->notes }}</textarea>
                            </div>
                            <div class="form-group col-md-12 text-right">
                                <button class='btn btn-primary px-4'>حفظ</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection


@section('jsCode')
    <script>
        $(document).ready(function () {
            $(document).on('change', '#type', function (e) {
                var value = $(this).val();
                $("#help_needed").val("");
                $("#project").val("");
                if(value == 1){
                    $("#project").parents(".form-group").removeClass("d-none");
                    $("#help_needed").parents(".form-group").addClass("d-none");
                }
                else if(value == 2){
                    $("#project").parents(".form-group").addClass("d-none");
                    $("#help_needed").parents(".form-group").removeClass("d-none");
                }
                else{
                    $("#project").parents(".form-group").addClass("d-none");
                    $("#help_needed").parents(".form-group").addClass("d-none");
                }
            });
        });
    </script>
@endsection
