@extends('layouts.admin.show')
@section('title')مساعدات للعائلات@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'مساعدات للعائلات' ])
<div class='row mt-3'>
    <div class="col-md-12">
        <div class="widget-rounded-circle card-box">
            <div class="row">
                <div class='col-12 table-responsive'>
                    <table id="basic-datatable" class="table dt-responsive nowrap w-100">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>ترميز الدراسة</th>
                                <th>اسم الام</th>
                                <th>رقم الهاتف</th>
                                <th>نوع التنسيب</th>
                                <th>الحالة</th>
                                <th>الملاحظات</th>
                                <th>الإجراء</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($data as $item)
                                <tr>
                                    <td>{{$item->id}}</td>
                                    <td>{{$item->custom_id}}</td>
                                    <td>{{$item->mother_name}}</td>
                                    <td>{{$item->phone}}</td>
                                    <td>
                                        @switch($item->type)
                                            @case(1)
                                                داخلي
                                                @break
                                            @case(2)
                                                خارجي
                                                @break
                                        @endswitch
                                    </td>
                                    <td>
                                        @switch($item->status)
                                            @case(1)
                                                تم المساعدة
                                                @break
                                            @case(2)
                                                مرفوض
                                                @break
                                            @case(3)
                                                على قائمة الإنتظار
                                                @break
                                        @endswitch
                                    </td>
                                    <td>{{$item->notes}}</td>
                                    <td>
                                        <a href="{{ route('familyAid.edit', $item->id) }}" class='btn btn-secondary' data-toggle="tooltip" data-placement="top" title="تعديل" data-original-title="Tooltip on top" data-id="{{ $item->id }}"><i class='fas fa-edit'></i></a>
                                        <button class='btn btn-danger btn-delete' data-toggle="tooltip" data-placement="top" title="حذف" data-original-title="Tooltip on top" data-table="familyAid" data-id="{{ $item->id }}"><i class='fas fa-trash-alt'></i></button>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
