@extends('layouts.admin.show')
@section('title')التسويق@endsection

@section('content')

    @include('includes.admin.header' , ['label_name' => 'التسويق' ])
    <div class='row mt-3'>
        <div class="col-md-12">
            <div class="widget-rounded-circle card-box">
                <div class="row">
                    <div class='col-12 table-responsive'>
                        <table id="basic-datatable" class="table dt-responsive nowrap w-100">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>ترميز الدراسة</th>
                                <th>اسم الام</th>
                                <th>العمر</th>
                                <th>مكان السكن</th>
                                <th>الحد الأعلى لقيمة الكفالة</th>
                                <th>درجة الأولوية</th>
                                <th>الدراسة</th>
                                <th>حالة الدراسة</th>
                                <th>الإجراء</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach ($data as $item)
                                <tr>
                                    <td>{{$item->id}}</td>
                                    <td>{{$item->case->custom_id}}</td>
                                    <td>{{$item->case->mother->mother_name}}</td>
                                    <td>{{ date('Y-m-d', strtotime($item->case->mother->mother_birth_date))}}</td>
                                    <td>{{$item->case->address}}</td>
                                    <td>{{$item->maximum_guarantee_value}}</td>
                                    <td>
                                        @switch($item->priority)
                                            @case(1)
                                                مستعجل
                                                @break
                                            @case(2)
                                                مهم
                                                @break
                                            @case(3)
                                                غير مهم
                                                @break
                                        @endswitch
                                    </td>
                                    <td><a href="/admin/cases/study/{{ $item->case->id }}">Download PDF</a></td>
                                    <td>
                                        @switch($item->case->status)
                                            @case(1)
                                                قيد الدراسة
                                                @break
                                            @case(2)
                                                تمت الدراسة
                                                @break
                                            @case(3)
                                                تم التدقيق
                                                @break
                                            @case(4)
                                                موافق عليها
                                                @break
                                            @case(5)
                                                مرفوضة
                                                @break
                                            @case(6)
                                                بحاجة لتحديث
                                                @break
                                        @endswitch
                                    </td>
                                    <td>
                                        <button class="btn btn-info btn-show-add-donor" data-id="{{ $item->case_id }}">إضافة متبرع</button>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

<!-- Modal -->
<div class="modal fade" id="add_donor_popup" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">إضافة متبرع</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="marketing_id">
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label for="start_date_donation">تاريخ بدء الكفالة</label>
                        <input type="date" id="start_date_donation" name="start_date_donation" placeholder='تاريخ بدء الكفالة' value="" class="form-control">
                        <div class="invalid-feedback"></div>
                    </div>
                    <div class="form-group col-md-12">
                        <label for="name">الإسم</label>
                        <input type="text" id="name" name="name" placeholder='الإسم' value="" class="form-control">
                        <div class="invalid-feedback"></div>
                    </div>
                    <div class="form-group col-md-12">
                        <label for="phone">رقم الهاتف</label>
                        <input type="text" id="phone" name="phone" placeholder='رقم الهاتف' value="" class="form-control">
                        <div class="invalid-feedback"></div>
                    </div>
                    <div class="form-group col-md-12">
                        <label for="amount">مبلغ التبرع</label>
                        <input type="number" step="1" id="amount" name="amount" placeholder='مبلغ التبرع' value="" class="form-control">
                        <div class="invalid-feedback"></div>
                    </div>

                    <div class="form-group col-md-12">
                        <label for="payment_method">طريقة الدفع</label>
                        <input type="text" id="payment_method" name="payment_method" placeholder='طريقة الدفع' value="" class="form-control">
                        <div class="invalid-feedback"></div>
                    </div>
                    <div class="form-group col-md-12">
                        <label for="iban">IBAN</label>
                        <input type="text" id="iban" name="iban" placeholder='IBAN' value="" class="form-control">
                        <div class="invalid-feedback"></div>
                    </div>
                    <div class="form-group col-md-12">
                        <label for="children_count">عدد الأطفال</label>
                        <input type="number" step="1" id="children_count" name="children_count" placeholder='عدد الأطفال' value="" class="form-control">
                        <div class="invalid-feedback"></div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">إلغاء</button>
                <button type="button" class="btn btn-primary btn-add-donor">إضافة</button>
            </div>
        </div>
    </div>
</div>
@endsection
