@extends('layouts.admin.add')
@section('title')تعديل معلومات اليتيم@endsection

@section('content')

    @include('includes.admin.header' , ['label_name' => 'تعديل معلومات اليتيم' ])

    <div class="row">
        <div class="col-12">
            <div class="widget-rounded-circle card-box d-flex justify-content-between">
                <form class='w-100' action="{{ route('orphan.update', $data) }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    @method('PUT')
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    @if ($errors->any())
                                        <div class="alert alert-danger">
                                            <ul class='ml-3 mb-0'>
                                                @foreach ($errors->all() as $error)
                                                    <li>{{ $error }}</li>
                                                @endforeach
                                            </ul>
                                        </div>
                                    @endif
                                    @if (session('success'))
                                        <div class="alert alert-success">
                                            {{ session('success') }}
                                        </div>
                                    @endif
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="custom_id">ترميز الدراسة</label>
                                    <input type="text" id="custom_id" name="custom_id" placeholder='ترميز الدراسة' value="{{ $data->custom_id }}" class="form-control">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="child_name">اسم الطفل</label>
                                    <input type="text" id="child_name" name="child_name" placeholder='اسم الطفل' value="{{ $data->child_name }}" class="form-control">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="mother_name">اسم الام</label>
                                    <input type="text" id="mother_name" name="mother_name" placeholder='اسم الام' value="{{ $data->mother_name }}" class="form-control">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="national_id">الرقم الوطني</label>
                                    <input type="text" id="national_id" name="national_id" placeholder='الرقم الوطني' value="{{ $data->national_id }}" class="form-control">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="phone">رقم الهاتف</label>
                                    <input type="text" id="phone" name="phone" placeholder='رقم الهاتف' value="{{ $data->phone }}" class="form-control">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="birthday">تاريخ ميلاد اليتيم</label>
                                    <input type="date" id="birthday" name="birthday" placeholder='تاريخ الميلاد' value="{{ $data->birthday }}" class="form-control">
                                </div>
                                <div class="form-group col-md-12">
                                    <label for="address">منطقة السكن (المحافظة, المنطقة, اللواء)</label>
                                    <input type="text" id="address" name="address" placeholder='منطقة السكن (المحافظة, المنطقة, اللواء)' value="{{ $data->address }}" class="form-control">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="bail_amount">مبلغ الكفالة من جمعية باب الخير</label>
                                    <input type="number" step="1" id="bail_amount" name="bail_amount" placeholder='مبلغ الكفالة من جمعية باب الخير' value="{{ $data->bail_amount }}" class="form-control">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="additional_amount">مبلغ اضافي</label>
                                    <input type="number" step="1" id="additional_amount" name="additional_amount" placeholder='مبلغ اضافي' value="{{ $data->additional_amount }}" class="form-control">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="total">المجموع</label>
                                    <input type="number" step="1" id="total" name="total" placeholder='المجموع' value="{{ $data->bail_amount + $data->additional_amount }}" class="form-control">
                                </div>
                                <div class="form-group col-md-12 exchangeـnotes_section @if($data->additional_amount <= 0 || $data->additional_amount == null) d-none @endif">
                                    <label for="exchangeـnotes">ملاحظات الصرف</label>
                                    <textarea class="form-control" rows="3" name="exchangeـnotes" id="exchangeـnotes">{{ $data->exchangeـnotes }}</textarea>
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="orphan_type">تصنيف العائلة</label>
                                    <select class="form-control" name="orphan_type" id="orphan_type">
                                        <option value="">إختر</option>
                                        <option value="1"  @if($data->orphan_type == 1) selected @endif>أيتام</option>
                                        <option value="2"  @if($data->orphan_type == 2) selected @endif>عائلات</option>
                                    </select>
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="accept_docuware">موافقة Docuware</label>
                                    <select class="form-control" name="accept_docuware" id="accept_docuware">
                                        <option value="">إختر</option>
                                        <option value="1"  @if($data->accept_docuware == 1) selected @endif>موافق</option>
                                        <option value="2"  @if($data->accept_docuware == 2) selected @endif>غير موافق</option>
                                    </select>
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="sponsorship_start_date">تاريخ بدء الكفالة</label>
                                    <input type="date" id="sponsorship_start_date" name="sponsorship_start_date" placeholder='تاريخ بدء الكفالة' value="{{ $data->sponsorship_start_date }}" class="form-control">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="sponsorship_update_date">تاريخ تحديث الكفالة</label>
                                    <input type="date" id="sponsorship_update_date" name="sponsorship_update_date" placeholder='تاريخ تحديث الكفالة' value="{{ $data->sponsorship_update_date }}" class="form-control">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="status">حالة الكفالة</label>
                                    <select class="form-control" name="status">
                                        <option value="">إختر</option>
                                        <option value="0"  @if($data->status == 0) selected @endif>صرف</option>
                                        <option value="1"  @if($data->status == 1) selected @endif>ملحق</option>
                                        <option value="2"  @if($data->status == 2) selected @endif>موقوف</option>
                                    </select>
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="is_visit">زيارة ميدانية</label>
                                    <select class="form-control" name="is_visit" id="is_visit">
                                        <option value="">إختر</option>
                                        <option value="1"  @if($data->is_visit == 1) selected @endif>تم</option>
                                        <option value="0"  @if($data->is_visit == 0) selected @endif>لم يتم</option>
                                    </select>
                                </div>
                                <div class="form-group col-md-12 visit_notes_section @if($data->is_visit == 0 || $data->is_visit == null) d-none @endif">
                                    <label for="visit_notes">ملاحظات الزيارة الميدانية</label>
                                    <textarea class="form-control" rows="3" name="visit_notes" id="visit_notes">{{ $data->visit_notes }}</textarea>
                                </div>
                                <div class="form-group col-md-12 reason_for_suspension_section @if($data->status != 2 || $data->status == null) d-none @endif">
                                    <label for="reason_for_suspension">سبب الايقاف</label>
                                    <textarea class="form-control" rows="3" name="reason_for_suspension" id="reason_for_suspension">{{ $data->reason_for_suspension }}</textarea>
                                </div>
                                <div class="form-group col-md-4 date_of_suspension_section @if($data->status != 2 || $data->status == null) d-none @endif">
                                    <label for="date_of_suspension">تاريخ الايقاف</label>
                                    <input type="date" id="date_of_suspension" name="date_of_suspension" class="form-control" value="{{ $data->date_of_suspension }}">
                                </div>
                                <div class="form-group col-md-4">
                                    <label for="financial_disability_rate">نسبة العجز المادي</label>
                                    <input type="text" id="financial_disability_rate" name="financial_disability_rate" placeholder='نسبة العجز المادي' value="{{ $data->financial_disability_rate }}" class="form-control">
                                </div>
                                <div class="form-group col-md-12 text-right">
                                    <button class='btn btn-primary px-4'>حفظ</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
