@extends('layouts.admin.show')
@section('title')الأيتام المكفولين@endsection

@section('content')

    @include('includes.admin.header' , ['label_name' => 'الأيتام المكفولين' ])
    <div class='row mt-3'>
        <div class="col-md-12">
            <div class="widget-rounded-circle card-box">
                <div class="row">
                    <div class='col-12 table-responsive'>
                        <table id="basic-datatable" class="table dt-responsive nowrap w-100">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>ترميز الدراسة</th>
                                <th>اسم الام</th>
                                <th>منطقة السكن</th>
                                <th>رقم الهاتف</th>
                                <th>تاريخ ميلاد اليتيم</th>
                                <th>مبلغ الكفالة</th>
                                <th>تصنيف العائلة</th>
                                <th>حالة الكفالة</th>
                                <th>اسم الكفيل</th>
                                <th>الإجراء</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach ($data as $item)
                                <tr>
                                    <td>{{$item->id}}</td>
                                    <td>{{$item->custom_id}}</td>
                                    <td>{{$item->mother_name}}</td>
                                    <td>{{$item->address}}</td>
                                    <td>{{$item->phone}}</td>
                                    <td>{{ date('Y-m-d', strtotime($item->birthday)) }}</td>
                                    <td>{{ $item->bail_amount + $item->additional_amount }}</td>
                                    <td>
                                        @switch($item->orphan_type)
                                            @case(1)
                                                أيتام
                                                @break
                                            @case(2)
                                                عائلات
                                                @break
                                        @endswitch
                                    </td>
                                    <td>
                                        @switch($item->status)
                                            @case(0)
                                                صرف
                                                @break
                                            @case(1)
                                                ملحق
                                                @break
                                            @case(2)
                                                موقوف
                                                @break
                                        @endswitch
                                    </td>
                                    <td></td>
                                    <td>
                                        <a href="{{ route('uploader.cases', $item->id) }}" class='btn btn-info' data-toggle="tooltip" data-placement="top" title="المرفقات" data-original-title="Tooltip on top" data-id="{{ $item->id }}"><i class="fas fa-folder-open"></i></a>
                                        <a href="{{ route('orphan.edit', $item->id) }}" class='btn btn-secondary' data-toggle="tooltip" data-placement="top" title="تعديل" data-original-title="Tooltip on top" data-id="{{ $item->id }}"><i class='fas fa-edit'></i></a>
                                        <button class='btn btn-danger btn-delete' data-toggle="tooltip" data-placement="top" title="حذف" data-original-title="Tooltip on top" data-table="orphans" data-id="{{ $item->id }}"><i class='fas fa-trash-alt'></i></button>
                                    </td>
                                </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
