@extends('layouts.admin.add')
@section('title')إضافة طالب جديد@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'إضافة طالب جديد' ])

<div class="row">
    <div class="col-12">
        <div class="widget-rounded-circle card-box d-flex justify-content-between">
            <form class='w-100' action="{{ route('own.storeCraft') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul class='ml-3 mb-0'>
                                        @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif
                                @if (session('success'))
                                <div class="alert alert-success">
                                    {{ session('success') }}
                                </div>
                                @endif
                            </div>
                            <div class="form-group col-md-4">
                                <label for="custom_id">ترميز الدراسة</label>
                                <input type="text" id="custom_id" name="custom_id" placeholder='ترميز الدراسة' value="{{ old('custom_id') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="scholarship_start_date">تاريخ بدء المنحة</label>
                                <input type="date" id="scholarship_start_date" name="scholarship_start_date" placeholder='تاريخ بدء المنحة' value="{{ old('scholarship_start_date') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="student_name">اسم الطالب</label>
                                <input type="text" id="student_name" name="student_name" placeholder='اسم الطالب' value="{{ old('student_name') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="sponser_name">اسم الكفيل</label>
                                <input type="text" id="sponser_name" name="sponser_name" placeholder='اسم الكفيل' value="{{ old('sponser_name') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="institution_name">اسم المؤسسة/ الجامعة</label>
                                <input type="text" id="institution_name" name="institution_name" placeholder='اسم المؤسسة/ الجامعة' value="{{ old('institution_name') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="major">التخصص</label>
                                <input type="text" id="major" name="major" placeholder='التخصص' value="{{ old('major') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="study_year">السنة الدراسية</label>
                                <select class="form-control" name="study_year" id="study_year">
                                    <option value="">إختر</option>
                                    <option value="1" @if(old('study_year') == 1) selected @endif>أولى</option>
                                    <option value="2" @if(old('study_year') == 2) selected @endif>ثانية</option>
                                    <option value="3" @if(old('study_year') == 3) selected @endif>ثالثة</option>
                                    <option value="4" @if(old('study_year') == 4) selected @endif>رابعة</option>
                                    <option value="5" @if(old('study_year') == 5) selected @endif>خامسة</option>
                                    <option value="6" @if(old('study_year') == 6) selected @endif>سادسة</option>
                                </select>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="fee">الرسوم</label>
                                <input type="number" step="any" id="fee" name="fee" placeholder='عدد ساعات التخصص' min="0" value="{{ old('fee') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="major_hours_count">عدد ساعات التخصص</label>
                                <input type="number" step="any" id="major_hours_count" name="major_hours_count" min="0" placeholder='عدد ساعات التخصص' value="{{ old('major_hours_count') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="finished_hours_count">عدد الساعات المقطوعة</label>
                                <input type="number" step="any" id="finished_hours_count" name="finished_hours_count" min="0" placeholder='عدد الساعات المقطوعة' value="{{ old('finished_hours_count') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="total_financial_claims">مجموع المطالبات المالية</label>
                                <input type="number" step="any" id="total_financial_claims" name="total_financial_claims" min="0" placeholder='مجموع المطالبات المالية' value="{{ old('total_financial_claims') }}" class="form-control">
                            </div>
                            <div class="form-group col-md">
                                <label for="notes">الملاحظات</label>
                                <textarea class="form-control" rows="1" name="notes" id="notes">{{ old('notes') }}</textarea>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-12 text-right">
                                <button class='btn btn-primary px-4'>حفظ</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
