@extends('layouts.admin.add')
@section('title')تعديل معلومات الطالب@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'تعديل معلومات الطالب' ])

<div class="row">
    <div class="col-12">
        <div class="widget-rounded-circle card-box d-flex justify-content-between">
            <form class='w-100' action="{{ route('own.updateCraft', $data) }}" method="POST" enctype="multipart/form-data">
                @csrf
                @method('PUT')
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul class='ml-3 mb-0'>
                                        @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif
                                @if (session('success'))
                                <div class="alert alert-success">
                                    {{ session('success') }}
                                </div>
                                @endif
                            </div>
                            <div class="form-group col-md-4">
                                <label for="custom_id">ترميز الدراسة</label>
                                <input type="text" id="custom_id" name="custom_id" placeholder='ترميز الدراسة' value="{{ $data->custom_id }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="scholarship_start_date">تاريخ بدء المنحة</label>
                                <input type="date" id="scholarship_start_date" name="scholarship_start_date" placeholder='تاريخ بدء المنحة' value="{{ date('Y-m-d', strtotime($data->scholarship_start_date)) }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="student_name">اسم الطالب</label>
                                <input type="text" id="student_name" name="student_name" placeholder='اسم الطالب' value="{{ $data->student_name }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="sponser_name">اسم الكفيل</label>
                                <input type="text" id="sponser_name" name="sponser_name" placeholder='اسم الكفيل' value="{{ $data->sponser_name }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="institution_name">اسم المؤسسة/ الجامعة</label>
                                <input type="text" id="institution_name" name="institution_name" placeholder='اسم المؤسسة/ الجامعة' value="{{ $data->institution_name }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="major">التخصص</label>
                                <input type="text" id="major" name="major" placeholder='التخصص' value="{{ $data->major }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="study_year">السنة الدراسية</label>
                                <select class="form-control" name="study_year" id="study_year">
                                    <option value="">إختر</option>
                                    <option value="1" @if($data->study_year == 1) selected @endif>أولى</option>
                                    <option value="2" @if($data->study_year == 2) selected @endif>ثانية</option>
                                    <option value="3" @if($data->study_year == 3) selected @endif>ثالثة</option>
                                    <option value="4" @if($data->study_year == 4) selected @endif>رابعة</option>
                                    <option value="5" @if($data->study_year == 5) selected @endif>خامسة</option>
                                    <option value="6" @if($data->study_year == 6) selected @endif>سادسة</option>
                                </select>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="fee">الرسوم</label>
                                <input type="number" step="any" id="fee" name="fee" placeholder='عدد ساعات التخصص' min="0" value="{{ $data->fee }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="major_hours_count">عدد ساعات التخصص</label>
                                <input type="number" step="any" id="major_hours_count" name="major_hours_count" min="0" placeholder='عدد ساعات التخصص' value="{{ $data->major_hours_count }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="finished_hours_count">عدد الساعات المقطوعة</label>
                                <input type="number" step="any" id="finished_hours_count" name="finished_hours_count" min="0" placeholder='عدد الساعات المقطوعة' value="{{ $data->finished_hours_count }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="total_financial_claims">مجموع المطالبات المالية</label>
                                <input type="number" step="any" id="total_financial_claims" name="total_financial_claims" min="0" placeholder='مجموع المطالبات المالية' value="{{ $data->total_financial_claims }}" class="form-control">
                            </div>
                            <div class="form-group col-md">
                                <label for="notes">الملاحظات</label>
                                <textarea class="form-control" rows="1" name="notes" id="notes">{{ $data->notes }}</textarea>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md-12 text-right">
                                <button class='btn btn-primary px-4'>حفظ</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
