@extends('layouts.admin.add')
@section('title')تعديل معلومات الطالب@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'تعديل معلومات الطالب' ])

<div class="row">
    <div class="col-12">
        <div class="widget-rounded-circle card-box d-flex justify-content-between">
            <form class='w-100' action="{{ route('own.updateUniversity', $data) }}" method="POST" enctype="multipart/form-data">
                @csrf
                @method('PUT')
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul class='ml-3 mb-0'>
                                        @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif
                                @if (session('success'))
                                <div class="alert alert-success">
                                    {{ session('success') }}
                                </div>
                                @endif
                            </div>
                            <div class="form-group col-md-4">
                                <label for="custom_id">ترميز الدراسة</label>
                                <input type="text" id="custom_id" name="custom_id" placeholder='ترميز الدراسة' value="{{ $data->custom_id }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="scholarship_start_date">تاريخ بدء المنحة</label>
                                <input type="date" id="scholarship_start_date" name="scholarship_start_date" placeholder='تاريخ بدء المنحة' value="{{ date('Y-m-d', strtotime($data->scholarship_start_date)) }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="student_name">اسم الطالب</label>
                                <input type="text" id="student_name" name="student_name" placeholder='اسم الطالب' value="{{ $data->student_name }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="sponser_name">اسم الكفيل</label>
                                <input type="text" id="sponser_name" name="sponser_name" placeholder='اسم الكفيل' value="{{ $data->sponser_name  }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="student_id">الرقم الجامعي</label>
                                <input type="text" id="student_id" name="student_id" placeholder='الرقم الجامعي' value="{{ $data->student_id }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="major">التخصص</label>
                                <input type="text" id="major" name="major" placeholder='التخصص' value="{{ $data->major }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="university_name">اسم الجامعة</label>
                                <input type="text" id="university_name" name="university_name" placeholder='اسم الجامعة' value="{{ $data->university_name  }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="study_type">نوع الدراسة</label>
                                <select class="form-control" name="study_type" id="study_type">
                                    <option value="">إختر</option>
                                    <option value="1" @if($data->study_type == 1) selected @endif>تنافس</option>
                                    <option value="2" @if($data->study_type == 2) selected @endif>موازي</option>
                                    <option value="3" @if($data->study_type == 3) selected @endif>جامعة خاصة</option>
                                </select>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="study_year">السنة الدراسية</label>
                                <select class="form-control" name="study_year" id="study_year">
                                    <option value="">إختر</option>
                                    <option value="1" @if($data->study_year == 1) selected @endif>أولى</option>
                                    <option value="2" @if($data->study_year == 2) selected @endif>ثانية</option>
                                    <option value="3" @if($data->study_year == 3) selected @endif>ثالثة</option>
                                    <option value="4" @if($data->study_year == 4) selected @endif>رابعة</option>
                                    <option value="5" @if($data->study_year == 5) selected @endif>خامسة</option>
                                    <option value="6" @if($data->study_year == 6) selected @endif>سادسة</option>
                                </select>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="hourlyـprice">سعر الساعة</label>
                                <input type="number" step="any" id="hourlyـprice" min="0" name="hourlyـprice" placeholder='سعر الساعة' value="{{ $data->hourlyـprice }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="registrationـfees">رسوم التسجيل</label>
                                <input type="number" step="any" id="registrationـfees" min="0" name="registrationـfees" placeholder='رسوم التسجيل' value="{{ $data->registrationـfees }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="major_hours_count">عدد ساعات التخصص</label>
                                <input type="number" step="any" id="major_hours_count" min="0" name="major_hours_count" placeholder='عدد ساعات التخصص' value="{{ $data->major_hours_count }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="finished_hours_count">عدد الساعات المقطوعة</label>
                                <input type="number" step="any" id="finished_hours_count" min="0" name="finished_hours_count" placeholder='عدد الساعات المقطوعة' value="{{ $data->finished_hours_count }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="total_financial_claims">مجموع المطالبات المالية</label>
                                <input type="number" step="any" id="total_financial_claims" min="0" name="total_financial_claims" placeholder='مجموع المطالبات المالية' value="{{ $data->total_financial_claims }}" class="form-control">
                            </div>
                            <div class="form-group col-md">
                                <label for="notes">الملاحظات</label>
                                <textarea class="form-control" rows="1" name="notes" id="notes">{{ $data->notes }}</textarea>
                            </div>
                            <div class="form-group col-md-12 text-right">
                                <button class='btn btn-primary px-4'>حفظ</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
