@extends('layouts.admin.add')
@section('title')تعديل المعلومات@endsection

@section('content')

    @include('includes.admin.header' , ['label_name' => 'تعديل المعلومات' ])

    <div class="row">
        <div class="col-12">
            <div class="widget-rounded-circle card-box d-flex justify-content-between">
                <form class='w-100' action="{{ route('takeachance.update_prejodkom', $data) }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    @method('PUT')
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    @if ($errors->any())
                                        <div class="alert alert-danger">
                                            <ul class='ml-3 mb-0'>
                                                @foreach ($errors->all() as $error)
                                                    <li>{{ $error }}</li>
                                                @endforeach
                                            </ul>
                                        </div>
                                    @endif
                                    @if (session('success'))
                                        <div class="alert alert-success">
                                            {{ session('success') }}
                                        </div>
                                    @endif
                                </div>
                                <div class="form-group col-md-12">
                                    <label for="skills">المهارات</label>
                                    <textarea class="form-control" rows="3" id="skills" name="skills">{{ old('skills') ?? $data->skills }}</textarea>
                                </div>
                                <div class="form-group col-md-12">
                                    <label for="courses">الدورات</label>
                                    <textarea class="form-control" rows="3" id="courses" name="courses">{{ $data->courses }}</textarea>
                                </div>
                                <div class="form-group col-md-12">
                                    <label for="additional_info">معلومات إضافية</label>
                                    <textarea class="form-control" rows="3" id="additional_info" name="additional_info">{{ $data->additional_info }}</textarea>
                                </div>
                                <div class="form-group col-md-12">
                                    <label for="notes">ملاحظات</label>
                                    <textarea class="form-control" rows="3" id="notes" name="notes">{{ $data->notes }}</textarea>
                                </div>
                                <div class="form-group col-md-12 text-right">
                                    <button class='btn btn-primary px-4'>حفظ</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
