@extends('layouts.admin.add')
@section('title')تعديل معلومات المنصة@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'تعديل معلومات المنصة' ])

<div class="row">
    <div class="col-12">
        <div class="widget-rounded-circle card-box d-flex justify-content-between">
            <form class='w-100' action="{{ route('study_platform.update', $data) }}" method="POST" enctype="multipart/form-data">
                @csrf
                @method('put')
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul class='ml-3 mb-0'>
                                        @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif
                                @if (session('success'))
                                <div class="alert alert-success">
                                    {{ session('success') }}
                                </div>
                                @endif
                            </div>
                            <div class="form-group col-md-12">
                                <label for="name">اسم المنصة</label>
                                <input type="text" id="name" name="name" placeholder='اسم المنصة' value="{{ $data->name }}" class="form-control">
                            </div>
                            <div class="form-group col-md-12 text-right">
                                <button class='btn btn-primary px-4'>حفظ</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
