@extends('layouts.admin.add')
@section('title')إضافة جديد@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'إضافة جديد' ])

<div class="row">
    <div class="col-12">
        <div class="widget-rounded-circle card-box d-flex justify-content-between">
            <form class='w-100' action="{{ route('takeachance.store') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul class='ml-3 mb-0'>
                                        @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif
                                @if (session('success'))
                                <div class="alert alert-success">
                                    {{ session('success') }}
                                </div>
                                @endif
                            </div>
                            <div class="form-group col-md-4">
                                <label for="custom_id">ترميز الدراسة</label>
                                <input type="text" id="custom_id" name="custom_id" placeholder='ترميز الدراسة' value="{{ old('custom_id') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="name">اسم الطالب</label>
                                <input type="text" id="name" name="name" placeholder='اسم الطالب' value="{{ old('name') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="city">منطقة السكن</label>
                                <input type="text" id="city" name="city" placeholder='منطقة السكن' value="{{ old('city') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="phone">رقم الهاتف</label>
                                <input type="text" id="phone" name="phone" placeholder='رقم الهاتف' value="{{ old('phone') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="age">العمر</label>
                                <input type="number" step="1" id="age" name="age" min="0" placeholder='العمر' value="{{ old('age') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="academic_achievement">التحصيل الاكاديمي</label>
                                <input type="text" id="academic_achievement" name="academic_achievement" placeholder='التحصيل الاكاديمي' value="{{ old('academic_achievement') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="class">الصف</label>
                                <select class="form-control" name="class">
                                    <option value="">إختر</option>
                                    <option value="1"  @if(old('class') == 1) selected @endif>الاول</option>
                                    <option value="2"  @if(old('class') == 2) selected @endif>الثاني</option>
                                    <option value="3"  @if(old('class') == 3) selected @endif>الثالث</option>
                                    <option value="4"  @if(old('class') == 4) selected @endif>الرابع</option>
                                    <option value="5"  @if(old('class') == 5) selected @endif>الخامس</option>
                                    <option value="6"  @if(old('class') == 6) selected @endif>السادس</option>
                                    <option value="7"  @if(old('class') == 7) selected @endif>السابع</option>
                                    <option value="8"  @if(old('class') == 8) selected @endif>الثامن</option>
                                    <option value="9"  @if(old('class') == 9) selected @endif>التاسع</option>
                                    <option value="10" @if(old('class') == 10) selected @endif>العاشر</option>
                                </select>
                            </div>
                            <div class="form-group col-md-12 text-right">
                                <button class='btn btn-primary px-4'>حفظ</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
