@extends('layouts.admin.show')
@section('title')نموذج ترشيح@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'نموذج ترشيح', 'add_button' => route('takeachance.create')])
<div class='row mt-3'>
    <div class="col-md-12">
        <div class="widget-rounded-circle card-box">
            <div class="row">
                <div class='col-12 table-responsive'>
                    <table id="basic-datatable" class="table dt-responsive nowrap w-100">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>الإسم</th>
                                <th>رقم الهاتف</th>
                                <th>الصف</th>
                                <th>الإجراء</th>
                            </tr>
                        </thead>
                        <tbody>
                        @foreach ($data as $item)
                            <tr>
                                <td>{{$item->id}}</td>
                                <td>{{$item->name}}</td>
                                <td>{{$item->phone}}</td>
                                <td>{{$item->class}}</td>
                                <td>
                                    <button class="btn btn-success btn-show-rec-modal" data-id="{{ $item->id }}" data-decline-reason="{{ $item->decline_reason }}" data-recommendation="{{ $item->recommendation_desc }}" data-toggle="tooltip" data-placement="top" title="تنسيب الطالب"><i class="fas fa-check"></i></button>
                                    <a href="{{ route('takeachance.edit', $item->id) }}" class='btn btn-secondary' data-toggle="tooltip" data-placement="top" title="تعديل" data-original-title="Tooltip on top" data-id="{{ $item->id }}"><i class='fas fa-edit'></i></a>
                                    <button class='btn btn-danger btn-delete' data-toggle="tooltip" data-placement="top" title="حذف" data-original-title="Tooltip on top" data-table="takeachance" data-id="{{ $item->id }}"><i class='fas fa-trash-alt'></i></button>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


<!-- Modal -->
<div class="modal fade" id="accept_student" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">تنسيب الطالب</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="form-row">
                    <input type="hidden" id="student_id">
                    <div class="form-group col-12">
                        <label for="recommendation_desc" class="d-block">هل انت موافق على تنسيب الطالب؟</label>
                        <div class="form-check form-check-inline mr-2 ml-0">
                            <input class="form-check-form-check-input ml-0 mr-1 accept_recommendation" type="radio" name="accept_recommendation" id="inlineRadio1" value="1">
                            <label class="form-check-label" for="inlineRadio1">نعم</label>
                        </div>
                        <div class="form-check form-check-inline mr-2 ml-0">
                            <input class="form-check-form-check-input ml-0 mr-1 accept_recommendation" type="radio" name="accept_recommendation" id="inlineRadio2" value="0">
                            <label class="form-check-label" for="inlineRadio2">لا</label>
                        </div>
                    </div>
                    <div class="form-group col-12 d-none recommendation_desc_form">
                        <label for="recommendation_desc">تنسيب الطالب</label>
                        <textarea class="form-control" rows="4" id="recommendation_desc"></textarea>
                        <div class="invalid-feedback invalid-recommendation">يرجى تعبئة الحقل</div>
                    </div>
                    <div class="form-group col-12 d-none decline_reason_form">
                        <label for="decline_reason">سبب الرفض</label>
                        <textarea class="form-control" rows="4" id="decline_reason"></textarea>
                        <div class="invalid-feedback invalid-decline">يرجى تعبئة الحقل</div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-success btn-send-recommendation-request">حفظ</button>
                <button type="button" class="btn btn-secondary" data-dismiss="modal">خروج</button>
            </div>
        </div>
    </div>
</div>

@endsection
