@extends('layouts.admin.add')
@section('title')المرفقات@endsection

@section('content')

    @include('includes.admin.header' , ['label_name' => 'المرفقات' ])

    <div class="row">
        <div class="col-12">
            <div class="widget-rounded-circle card-box d-flex justify-content-between">
                <form class='w-100' action="{{ route('uploader.store') }}" method="POST" enctype="multipart/form-data">
                    @csrf
                    <input type="hidden" name="type" value="{{ $type }}">
                    <input type="hidden" name="id" value="{{ $id }}">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-row">
                                <div class="form-group col-md-12">
                                    @if ($errors->any())
                                        <div class="alert alert-danger">
                                            <ul class='ml-3 mb-0'>
                                                @foreach ($errors->all() as $error)
                                                    <li>{{ $error }}</li>
                                                @endforeach
                                            </ul>
                                        </div>
                                    @endif
                                    @if (session('success'))
                                        <div class="alert alert-success">
                                            {{ session('success') }}
                                        </div>
                                    @endif
                                </div>
                                <div class="form-group col-12">
                                    <div class="form-group col-12">
                                        <label>المرفق</label>
                                        <input type="file" id="attach" name="attach" data-plugins="dropify" data-height="200"
                                               data-allowed-file-extensions="png jpg jpeg webp pdf docx doc csv xlsx xls" />
                                    </div>
                                </div>
                                <div class="form-group col-md-12 text-right">
                                    <button class='btn btn-primary px-4'>حفظ</button>
                                </div>
                            </div>
                            <table class="table dt-responsive nowrap w-100">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>اسم المرفق</th>
                                    <th>الإجراء</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($media as $key => $i)
                                    <tr>
                                        <td>{{ $key + 1  }}</td>
                                        <td>{{$i->file_name}}</td>
                                        <td>
                                            <a href="{{ $i->getUrl() }}" target="_blank" class="btn btn-info">عرض</a>
                                            <a href="{{ $i->getUrl() }}" download class="btn btn-secondary">تحميل</a>
                                        </td>
                                    </tr>
                                @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
