@extends('layouts.admin.add')
@section('title')إضافة مستخدم جديد@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'إضافة مستخدم جديد' ])

<div class="row">
    <div class="col-12">
        <div class="widget-rounded-circle card-box d-flex justify-content-between">
            <form class='w-100' action="{{ route('admin.store') }}" method="POST" enctype="multipart/form-data">
                @csrf
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                @if ($errors->any())
                                <div class="alert alert-danger">
                                    <ul class='ml-3 mb-0'>
                                        @foreach ($errors->all() as $error)
                                        <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                                @endif
                                @if (session('success'))
                                <div class="alert alert-success">
                                    {{ session('success') }}
                                </div>
                                @endif
                            </div>
                            <div class="form-group col-md-6">
                                <label for="name">الإسم</label>
                                <input type="text" id="name" name="name" placeholder='الإسم' value="{{ old('name') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="email">البريد الإلكتروني</label>
                                <input type="email" id="email" name="email" placeholder='البريد الإلكتروني' value="{{ old('email') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="password">كلمة المرور</label>
                                <input type="password" id="password" name="password" placeholder='كلمة المرور' value="{{ old('password') }}" class="form-control">
                            </div>
                            <div class="form-group col-md-6">
                                <label for="image">الصلاحيات</label>
                                <select class="form-control" name="role">
                                    <option value="">إختر</option>
                                    <option value="1">Admin</option>
                                    <option value="2">Marketing</option>
                                    <option value="3">Coordinator</option>
                                    <option value="4">Senior</option>
                                    <option value="5">Viewer</option>
                                </select>
                            </div>
                            <div class="form-group col-md-12">
                                <button class='btn btn-primary px-4'>حفظ</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection
