@extends('layouts.admin.show')
@section('title')المستخدمين@endsection

@section('content')

@include('includes.admin.header' , ['label_name' => 'المستخدمين' ])
<div class='row mt-3'>
    <div class="col-md-12">
        <div class="widget-rounded-circle card-box">
            <div class="row">
                <div class='col-12 table-responsive'>
                    <table id="basic-datatable" class="table dt-responsive nowrap w-100">
                        <thead>
                            <tr>
                                <th>الإسم</th>
                                <th>البريد الإلكتروني</th>
                                <th>الصلاحيات</th>
                                <th>تاريخ الإضافة</th>
                                <th>الإجراء</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($users as $user)
                            <tr>
                                <td>{{$user->name}}</td>
                                <td>{{$user->email}}</td>
                                <td>
                                    @switch($user->role)
                                        @case(1)
                                            Admin
                                            @break
                                        @case(2)
                                            Marketing
                                            @break
                                        @case(3)
                                            Coordinator
                                            @break
                                        @case(4)
                                            Senior
                                            @break
                                        @case(5)
                                            Viewer
                                            @break
                                    @endswitch
                                </td>
                                <td>{{$user->created_at}}</td>
                                <td>
                                    <a href="{{ route('admin.edit', $user->id) }}" class='btn btn-secondary' data-toggle="tooltip" data-placement="top" title="تعديل" data-original-title="Tooltip on top" data-id="{{ $user->id }}"><i class='fas fa-edit'></i></a>
                                    <button class='btn btn-danger btn-delete' data-toggle="tooltip" data-placement="top" title="حذف" data-original-title="Tooltip on top" data-table="admin" data-id="{{ $user->id }}"><i class='fas fa-trash-alt'></i></button>
                                </td>
                            </tr>
                            @endforeach

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

@endsection
