<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <link href="{{ asset('css/user/bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('fontawesome/css/all.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('libs/sweetalert2/sweetalert2.min.css') }}" rel="stylesheet" type="text/css" />
    <link href="{{ asset('css/user/main.css') }}" rel="stylesheet" type="text/css" />
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>

    <link href="https://fonts.googleapis.com/css2?family=Almarai:wght@300;400;700;800&family=Cairo&display=swap" rel="stylesheet">
    @yield('cssFiles')
    @if(App::getLocale() == "ar")
    <link href="{{ asset('css/user/main-rtl.css') }}" rel="stylesheet" type="text/css" />
    @endif

</head>

<body>
    <div id="app">
        @include('includes.user.header')

        @yield('content')
    </div>

    <script src="{{ asset('js/user/jquery-3.7.0.min.js') }}"></script>
    <script src="{{ asset('js/user/popper.min.js') }}"></script>
    <script src="{{ asset('js/user/bootstrap.min.js') }}"></script>
    <script src="{{ asset('fontawesome/js/all.min.js') }}"></script>
    <script src="{{ asset('libs/sweetalert2/sweetalert2.min.js') }}"></script>
    <script src="{{ asset('js/user/main.js?v=2.1.1') }}"></script>
    <script>
        $(document).ready(() => {
            if(localStorage.getItem("show_form") != 1)
            Swal.fire({
                    title: "",
                    text: "هل تريد تقديم طلب؟",
                    type: "info",
                    showCancelButton: !0,
                    confirmButtonColor: "#3085d6",
                    cancelButtonColor: "#d33",
                    confirmButtonText: "نعم",
                    cancelButtonText: "لا , استمرار",
                    confirmButtonClass: "btn btn-success mt-2",
                    cancelButtonClass: "btn btn-info mx-2 mt-2",
                    buttonsStyling: !1
                })
                .then((result) => {
                    localStorage.setItem("show_form", 1);                    
                    if (result.value) {
                        window.location.href = "{{  \LaravelLocalization::localizeURL('/how-to-apply#loan-form') }}"
                    }
                });
        });
    </script>

</body>

</html>