
<?php $__env->startSection('title'); ?>إضافة عائلة جديدة<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php echo $__env->make('includes.admin.header' , ['label_name' => 'إضافة عائلة جديدة' ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="row">
    <div class="col-12">
        <div class="widget-rounded-circle card-box d-flex justify-content-between">
            <form class='w-100' action="<?php echo e(route('familyAid.store')); ?>" method="POST" enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-row">
                            <div class="form-group col-md-12">
                                <?php if($errors->any()): ?>
                                <div class="alert alert-danger">
                                    <ul class='ml-3 mb-0'>
                                        <?php $__currentLoopData = $errors->all(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $error): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li><?php echo e($error); ?></li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                                <?php endif; ?>
                                <?php if(session('success')): ?>
                                <div class="alert alert-success">
                                    <?php echo e(session('success')); ?>

                                </div>
                                <?php endif; ?>
                            </div>
                            <div class="form-group col-md-4">
                                <label for="custom_id">ترميز الدراسة</label>
                                <input type="text" id="custom_id" name="custom_id" placeholder='ترميز الدراسة' value="<?php echo e(old('custom_id')); ?>" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="mother_name">اسم الام</label>
                                <input type="text" id="mother_name" name="mother_name" placeholder='اسم الام' value="<?php echo e(old('mother_name')); ?>" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="phone">رقم الهاتف</label>
                                <input type="text" id="phone" name="phone" placeholder='رقم الهاتف' value="<?php echo e(old('phone')); ?>" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="type">نوع التنسيب</label>
                                <select class="form-control" name="type" id="type">
                                    <option value="">إختر</option>
                                    <option value="1" <?php if(old('type') == 1): ?> selected <?php endif; ?>>داخلي</option>
                                    <option value="2" <?php if(old('type') == 2): ?> selected <?php endif; ?>>خارجي</option>
                                </select>
                            </div>
                            <div class="form-group col-md-4 <?php if(old('type') != 1): ?> d-none <?php endif; ?>">
                                <label for="project">المشاريع</label>
                                <select class="form-control" name="project" id="project">
                                    <option value="">إختر</option>
                                    <?php $__currentLoopData = \App\Helpers\Helper::getProjects(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i => $project): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($i); ?>" <?php if(old('project') == $i): ?> selected <?php endif; ?>><?php echo e($project); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="form-group col-md-4 <?php if(old('type') != 2): ?> d-none <?php endif; ?>">
                                <label for="help_needed">المساعدة المطلوبة</label>
                                <input type="text" id="help_needed" name="help_needed" placeholder='المساعدة المطلوبة' value="<?php echo e(old('help_needed')); ?>" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="help_needed_date">تاريخ طلب المساعدة</label>
                                <input type="date" id="help_needed_date" name="help_needed_date" placeholder='تاريخ طلب المساعدة' value="<?php echo e(old('help_needed_date')); ?>" class="form-control">
                            </div>
                            <div class="form-group col-md-4">
                                <label for="status">الحالة</label>
                                <select class="form-control" name="status">
                                    <option value="">إختر</option>
                                    <option value="1" <?php if(old('status') == 1): ?> selected <?php endif; ?>>تم المساعدة</option>
                                    <option value="2" <?php if(old('status') == 2): ?> selected <?php endif; ?>>مرفوض</option>
                                    <option value="3" <?php if(old('status') == 3): ?> selected <?php endif; ?>>على قائمة الإنتظار</option>
                                </select>
                            </div>
                            <div class="form-group col-md">
                                <label for="notes">الملاحظات</label>
                                <textarea class="form-control" rows="1" name="notes" id="notes"><?php echo e(old('notes')); ?></textarea>
                            </div>
                            <div class="form-group col-md-12 text-right">
                                <button class='btn btn-primary px-4'>حفظ</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>


<?php $__env->startSection('jsCode'); ?>
    <script>
        $(document).ready(function () {
            $(document).on('change', '#type', function (e) {
                var value = $(this).val();
                $("#help_needed").val("");
                $("#project").val("");
                if(value == 1){
                    $("#project").parents(".form-group").removeClass("d-none");
                    $("#help_needed").parents(".form-group").addClass("d-none");
                }
                else if(value == 2){
                    $("#project").parents(".form-group").addClass("d-none");
                    $("#help_needed").parents(".form-group").removeClass("d-none");
                }
                else{
                    $("#project").parents(".form-group").addClass("d-none");
                    $("#help_needed").parents(".form-group").addClass("d-none");
                }
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.admin.add', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /Users/fattouhabualrub/Desktop/projects/sondok/resources/views/admin/family_aid/create.blade.php ENDPATH**/ ?>