<!DOCTYPE html>
<html lang="<?php echo e(app()->getLocale()); ?>">

<head>

    <meta charset="utf-8">
    <title><?php echo e(env('APP_NAME')); ?> | <?php echo $__env->yieldContent('title'); ?></title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <!-- App css -->
    <link href="<?php echo e(asset('css/bootstrap.css')); ?>" rel="stylesheet" type="text/css" id="bs-default-stylesheet" />
    <link href="<?php echo e(asset('css/bootstrap-dark.css')); ?>" rel="stylesheet" type="text/css" id="bs-dark-stylesheet" disabled />

    <?php if(App::getLocale() == "ar"): ?>
    <link href="<?php echo e(asset('css/app-rtl.css')); ?>" rel="stylesheet" type="text/css" id="app-default-stylesheet" />
    <link href="<?php echo e(asset('css/app-dark-rtl.css')); ?>" rel="stylesheet" type="text/css" id="app-dark-stylesheet" disabled />
    <link href="<?php echo e(asset('css/main-rtl.css')); ?>" rel="stylesheet" type="text/css" />
    <?php elseif(App::getLocale() == "en"): ?>
    <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet" type="text/css" id="app-default-stylesheet" />
    <link href="<?php echo e(asset('css/app-dark.css')); ?>" rel="stylesheet" type="text/css" id="app-dark-stylesheet" disabled />
    <link href="<?php echo e(asset('css/main.css')); ?>" rel="stylesheet" type="text/css" />
    <?php endif; ?>

    <!-- Plugins css -->
    <link href="<?php echo e(asset('libs/flatpickr/flatpickr.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/clockpicker/bootstrap-clockpicker.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/bootstrap-datepicker/css/bootstrap-datepicker.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/sweetalert2/sweetalert2.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/selectize/css/selectize.bootstrap3.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- icons -->
    <link href="<?php echo e(asset('css/icons.css')); ?>" rel="stylesheet" type="text/css" />


    <!-- Plugins css -->
    <link href="<?php echo e(asset('libs/mohithg-switchery/switchery.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/multiselect/css/multi-select.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/select2/css/select2.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/selectize/css/selectize.bootstrap3.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/bootstrap-select/css/bootstrap-select.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/bootstrap-touchspin/jquery.bootstrap-touchspin.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/bootstrap-datepicker/css/bootstrap-datepicker.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/dropzone/min/dropzone.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('libs/dropify/css/dropify.min.css')); ?>" rel="stylesheet" type="text/css" />

    <?php echo $__env->yieldContent('cssCode'); ?>

    <link rel="icon" type="image/png" href="<?php echo e(asset('favicon.png')); ?>" />
</head>

<body>


    <!-- Begin page -->
    <div id="wrapper">

        <!-- Topbar Start -->
        <div class="navbar-custom">
            <div class="container-fluid">
                <ul class="list-unstyled topnav-menu float-right mb-0">

                    <li class="dropdown notification-list topbar-dropdown">
                        <a class="nav-link dropdown-toggle nav-user mr-0 waves-effect waves-light d-flex" data-toggle="dropdown" href="#" role="button" aria-haspopup="false" aria-expanded="false">
                            <span style='font-size:28px;'><i class="mdi mdi-chevron-down"></i></span> &nbsp;&nbsp;&nbsp; <?php echo e(Auth::user()->name); ?>

                        </a>
                        <div class="dropdown-menu dropdown-menu-right profile-dropdown" style='min-width:100%;'>
                            <a href="javascript:void(0);" class="dropdown-item notify-item">
                                آهلا وسهلاآ
                            </a>
                            <div class="dropdown-divider"></div>
                            <!-- item-->
                            <a href="/logout" onclick="event.preventDefault(); document.getElementById('logout-form').submit();" class="dropdown-item notify-item">
                                <form id="logout-form" action="/logout" method="POST" class="d-none">
                                    <?php echo csrf_field(); ?>
                                </form>
                                <i class="fe-log-out"></i>
                                <span>تسجيل خروج</span>
                            </a>
                        </div>
                    </li>

                </ul>

                <!-- LOGO -->
                <div class="logo-box">
                    <a href="/admin/dashboard" class="logo logo-dark text-center">
                        <span class="logo-sm">

                            <!-- <span class="logo-lg-text-light">UBold</span> -->
                        </span>
                        <span class="logo-lg">

                            <span class="font-weight-bold" style="font-size:20px;">القسم التنموي</span>
                        </span>
                    </a>

                    <a href="/admin/dashboard" class="logo logo-light text-center">
                        <span class="logo-sm">

                        </span>
                        <span class="logo-lg">

                            <span class="font-weight-bold" style="font-size:20px;">القسم التنموي</span>
                        </span>
                    </a>
                </div>

                <ul class="list-unstyled topnav-menu topnav-menu-left m-0">
                    <li>
                        <button class="button-menu-mobile waves-effect waves-light">
                            <i class="fe-menu"></i>
                        </button>
                    </li>

                    <li>
                        <!-- Mobile menu toggle (Horizontal Layout)-->
                        <a class="navbar-toggle nav-link" data-toggle="collapse" data-target="#topnav-menu-content">
                            <div class="lines">
                                <span></span>
                                <span></span>
                                <span></span>
                            </div>
                        </a>
                        <!-- End mobile menu toggle-->
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
        </div>
        <!-- end Topbar -->

        <!-- ========== Left Sidebar Start ========== -->
        <div class="left-side-menu">

            <div class="h-100" data-simplebar>
                <!--- Sidemenu -->
                <div id="sidebar-menu">
                    <ul id="side-menu">

                        <?php echo $__env->make('includes.admin.side-bar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                    </ul>
                </div>
                <!-- End Sidebar -->
                <div class="clearfix"></div>
            </div>
            <!-- Sidebar -left -->

        </div>
        <!-- Left Sidebar End -->

        <!-- ============================================================== -->
        <!-- Start Page Content here -->
        <!-- ============================================================== -->

        <div class="content-page">
            <div class="content">

                <!-- Start Content-->
                <div class="container-fluid">

                    <?php echo $__env->yieldContent('content'); ?>

                </div> <!-- container -->

            </div> <!-- content -->


        </div>

        <!-- ============================================================== -->
        <!-- End Page content -->
        <!-- ============================================================== -->

    </div>
    <!-- END wrapper -->


    <!-- Vendor js -->
    <script src="<?php echo e(asset('js/vendor.js')); ?>"></script>

    <!-- Plugins js-->
    <script src="<?php echo e(asset('libs/flatpickr/flatpickr.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/clockpicker/bootstrap-clockpicker.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/bootstrap-datepicker/js/bootstrap-datepicker.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/sweetalert2/sweetalert2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/apexcharts/apexcharts.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/selectize/js/standalone/selectize.min.js')); ?>"></script>

    <!-- Sweet alert init js-->
    <script src="<?php echo e(asset('js/pages/sweet-alerts.init.js')); ?>"></script>

    <script src="<?php echo e(asset('js/pages/dashboard-1.init.js')); ?>"></script>

    <!-- App js-->
    <script src="<?php echo e(asset('js/app.js')); ?>"></script>


    <script src="<?php echo e(asset('libs/selectize/js/standalone/selectize.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/mohithg-switchery/switchery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/multiselect/js/jquery.multi-select.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/select2/js/select2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/jquery-mockjax/jquery.mockjax.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/devbridge-autocomplete/jquery.autocomplete.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/bootstrap-select/js/bootstrap-select.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/bootstrap-touchspin/jquery.bootstrap-touchspin.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/bootstrap-maxlength/bootstrap-maxlength.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/bootstrap-datepicker/js/bootstrap-datepicker.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/dropzone/min/dropzone.min.js')); ?>"></script>
    <script src="<?php echo e(asset('libs/dropify/js/dropify.min.js')); ?>"></script>
    <!-- Init js-->
    <!-- <script src="<?php echo e(asset('js/pages/form-advanced.init.js')); ?>"></script> -->
    <script src="<?php echo e(asset('js/pages/form-pickers.init.js')); ?>"></script>
    <script src="<?php echo e(asset('js/pages/form-fileuploads.init.js')); ?>"></script>
    <script src="<?php echo e(asset('js/main.js')); ?>"></script>


    <script type="text/javascript">
        $(".custom-file-input").on("change", function() {
            var fileName = $(this).val().split("\\").pop();
            $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
        });
    </script>
    <?php echo $__env->yieldContent('jsCode'); ?>
</body>

</html>
<?php /**PATH /Users/fattouhabualrub/Desktop/projects/sondok/resources/views/layouts/admin/add.blade.php ENDPATH**/ ?>